package fxKirjalista;

import java.util.Optional;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.control.ButtonBar.ButtonData;
import javafx.scene.control.ButtonType;

/**
 * Ohjelman pääikkunan käsittelijä
 */
public class KirjalistaGUIController {

    /**
     * Kirjan lisäys
     */
    @FXML void handleLisaaKirja() {
        ModalController.showModal(KirjalistaGUIController.class.getResource("LisaaView.fxml"), "Kirja", null, "");
    }

    /**
     * Kirjan muokkaus
     */
    @FXML void handleMuokkaaKirja() {
        ModalController.showModal(KirjalistaGUIController.class.getResource("MuokkaaView.fxml"), "Kirja", null, "");
    }

    /**
     * Tiedosto-valikon tallenna-valinta
     */
    @FXML void handleTallenna() {
        // TODO:
        Dialogs.showMessageDialog("Vielä ei osata tallentaa");

    }

    /**
     * Apua-valikon tietoja-valinta
     */
    @FXML void handleTietoja() {
        // TODO:
        Dialogs.showMessageDialog("Vielä ei osata antaa tietoja");

    }

    /**
     * Tiedosto-valikon tulosta-valinta
     */
    @FXML void handleTulosta() {
        // TODO:
        Dialogs.showMessageDialog("Vielä ei osata tulostaa");
    }
    
    /**
     * Muokkaa-valikon poista-valinta
     */
    @FXML void poistaKirja() {
         poistoVahvistus();
    }
    
    @FXML void handleHaku() {
        Dialogs.showMessageDialog("Vielä ei osata hakea");
    }

    
    
    /**
     * Luo näytölle dialogin, joka kysyy vahvistusta kirjan poistamiseksi
     */
    public static void poistoVahvistus() {
        Alert alert = new Alert(AlertType.CONFIRMATION);
        alert.setTitle("Poista");
        alert.setHeaderText(null);
        alert.setContentText("Haluatko varmasti poistaa kirjan?");

        ButtonType buttonTypeYes = new ButtonType("Kyllä", ButtonData.OK_DONE);
        ButtonType buttonTypeCancel = new ButtonType("Ei", ButtonData.CANCEL_CLOSE);

        alert.getButtonTypes().setAll(buttonTypeYes, buttonTypeCancel);

        Optional<ButtonType> result = alert.showAndWait();
        if ( result.get() == buttonTypeYes ) Dialogs.showMessageDialog("Vielä ei osata poistaa");
    }
}
